# Visualization
TKV2d
Graphic2d

# Graphic2d_Ellips Class Reference

The primitive Ellips
.

`#include <Graphic2d_Ellips.hxx>`

Inheritance diagram for Graphic2d_Ellips:

[legend]

## Public Member Functions

Standard_EXPORT | Graphic2d_Ellips (const Handle(Graphic2d_GraphicObject)&aGraphicObject, const Quantity_Length X, const Quantity_Length Y, const Quantity_Length MajorRadius, const Quantity_Length MinorRadius, const Quantity_PlaneAngle anAngle)
| Creates an ellipse. The center is <x>, <y>. Angles are measured counterclockwise with 0 radian at 3 o'clock. .
Standard_EXPORT void | Center (Quantity_Length &X, Quantity_Length &Y) const
| returns the coordinates of center of the ellipse
Standard_EXPORT Quantity_Length | MajorRadius () const
| returns the radius of the ellipse
Standard_EXPORT Quantity_Length | MinorRadius () const
| returns the radius of the ellipse
Standard_EXPORT Quantity_PlaneAngle | Angle () const
| returns the angle of the ellipse
virtual Standard_EXPORT void | Save (Aspect_FStream &aFStream) const
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const

## Static Public Member Functions

static Standard_EXPORT void | Retrieve (Aspect_IFStream &anIFStream, const Handle(Graphic2d_GraphicObject)&aGraphicObject)

## Protected Member Functions

Standard_EXPORT void | Draw (const Handle(Graphic2d_Drawer)&aDrawer)
| Draws the ellipse <me>. .
virtual Standard_EXPORT void | DrawElement (const Handle(Graphic2d_Drawer)&aDrawer, const Standard_Integer anIndex)
| Draws element <anindex> of the circle <me>. .
virtual Standard_EXPORT void | DrawVertex (const Handle(Graphic2d_Drawer)&aDrawer, const Standard_Integer anIndex)
| Draws vertex <anindex> of the circle <me>. .
Standard_EXPORT Standard_Boolean | Pick (const Standard_ShortReal X, const Standard_ShortReal Y, const Standard_ShortReal aPrecision, const Handle(Graphic2d_Drawer)&aDrawer)
| Returns Standard_True if the ellipse <me> is picked, Standard_False if not. .

## Private Attributes

Standard_ShortReal | myX
Standard_ShortReal | myY
Standard_ShortReal | myMajorRadius
Standard_ShortReal | myMinorRadius
Standard_ShortReal | myAngle

## Constructor & Destructor Documentation

Standard_EXPORT Graphic2d_Ellips::Graphic2d_Ellips | ( | const Handle(Graphic2d_GraphicObject)& | aGraphicObject,
|  | const Quantity_Length | X,
|  | const Quantity_Length | Y,
|  | const Quantity_Length | MajorRadius,
|  | const Quantity_Length | MinorRadius,
|  | const Quantity_PlaneAngle | anAngle
| ) |

## Member Function Documentation

Standard_EXPORT Quantity_PlaneAngle Graphic2d_Ellips::Angle | ( |  | ) | const

Standard_EXPORT void Graphic2d_Ellips::Center | ( | Quantity_Length & | X,
|  | Quantity_Length & | Y
| ) | const

Standard_EXPORT void Graphic2d_Ellips::Draw | ( | const Handle(Graphic2d_Drawer)& | aDrawer | ) | `[protected, virtual]`

| Implements Graphic2d_Primitive.

virtual Standard_EXPORT void Graphic2d_Ellips::DrawElement | ( | const Handle(Graphic2d_Drawer)& | aDrawer,
|  | const Standard_Integer | anIndex
| ) | `[protected, virtual]`

| Reimplemented from Graphic2d_Primitive.

virtual Standard_EXPORT void Graphic2d_Ellips::DrawVertex | ( | const Handle(Graphic2d_Drawer)& | aDrawer,
|  | const Standard_Integer | anIndex
| ) | `[protected, virtual]`

| Reimplemented from Graphic2d_Primitive.

Standard_EXPORT const Graphic2d_Ellips::Handle | ( | Standard_Type |  | ) | const

| Reimplemented from Graphic2d_Line.

Standard_EXPORT Quantity_Length Graphic2d_Ellips::MajorRadius | ( |  | ) | const

Standard_EXPORT Quantity_Length Graphic2d_Ellips::MinorRadius | ( |  | ) | const

Standard_EXPORT Standard_Boolean Graphic2d_Ellips::Pick | ( | const Standard_ShortReal | X,
|  | const Standard_ShortReal | Y,
|  | const Standard_ShortReal | aPrecision,
|  | const Handle(Graphic2d_Drawer)& | aDrawer
| ) | `[protected, virtual]`

| Implements Graphic2d_Primitive.

static Standard_EXPORT void Graphic2d_Ellips::Retrieve | ( | Aspect_IFStream & | anIFStream,
|  | const Handle(Graphic2d_GraphicObject)& | aGraphicObject
| ) | `[static]`

virtual Standard_EXPORT void Graphic2d_Ellips::Save | ( | Aspect_FStream & | aFStream | ) | const`[virtual]`

| Reimplemented from Graphic2d_Line.

## Field Documentation

Standard_ShortReal Graphic2d_Ellips::myAngle `[private]`

Standard_ShortReal Graphic2d_Ellips::myMajorRadius `[private]`

Standard_ShortReal Graphic2d_Ellips::myMinorRadius `[private]`

Standard_ShortReal Graphic2d_Ellips::myX `[private]`

Standard_ShortReal Graphic2d_Ellips::myY `[private]`

The documentation for this class was generated from the following file:

- Graphic2d_Ellips.hxx